Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.persistence
Annotation Type SecondaryTable

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface SecondaryTable

This annotation is used to specify a secondary table for the annotated entity class. Specifying one or more secondary tables indicates that the data for the entity class is stored across multiple tables. If no SecondaryTable annotation is specified, it is assumed that all persistent fields or properties of the entity are mapped to the primary table. If no primary key join columns are specified, the join columns are assumed to reference the primary key columns of the primary table, and have the same names and types as the referenced primary key columns of the primary table.

Author:
  Emmanuel Bernard

Required Element Summary
`String` | `name` The name of the table

Optional Element Summary
`String` | `catalog` The catalog of the table
`PrimaryKeyJoinColumn[]` | `pkJoinColumns` The columns that are used to join with the primary table.
`String` | `schema` The schema of the table
`UniqueConstraint[]` | `uniqueConstraints` Unique constraints that are to be placed on the table.

Element Detail

### name

    public abstract String name

  The name of the table

### catalog

    public abstract String catalog

  The catalog of the table

  Default:
    ""

### schema

    public abstract String schema

  The schema of the table

  Default:
    ""

### pkJoinColumns

    public abstract PrimaryKeyJoinColumn[] pkJoinColumns

  The columns that are used to join with the primary table. Defaults to the column(s) of the same name(s) as the primary key column(s) in the primary table

  Default:
    {}

### uniqueConstraints

    public abstract UniqueConstraint[] uniqueConstraints

  Unique constraints that are to be placed on the table. These are typically only used if table generation is in effect. These constraints apply in addition to any constraints specified by the Column and JoinColumn annotations and constraints entailed by primary key mappings. Defaults to no additional constraints.

  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT